summaryrefslogtreecommitdiff
path: root/scripts/deploy.sh
diff options
context:
space:
mode:
authorJohn Klug <john.klug@multitech.com>2017-07-25 17:31:01 -0500
committerJohn Klug <john.klug@multitech.com>2017-07-25 17:31:57 -0500
commit81e664582e597ad71b0c103393b8d899d7884d5c (patch)
tree2bec8c8035d8230e63d4f6df53b48e70875618b8 /scripts/deploy.sh
parentc89dd1b071e6e184b968f6592161d1bd83cd0c0e (diff)
downloadmeta-mlinux-81e664582e597ad71b0c103393b8d899d7884d5c.tar.gz
meta-mlinux-81e664582e597ad71b0c103393b8d899d7884d5c.tar.bz2
meta-mlinux-81e664582e597ad71b0c103393b8d899d7884d5c.zip
Useful scripts for working with images
Diffstat (limited to 'scripts/deploy.sh')
-rwxr-xr-xscripts/deploy.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/scripts/deploy.sh b/scripts/deploy.sh
new file mode 100755
index 0000000..00a2b13
--- /dev/null
+++ b/scripts/deploy.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+# copyies the latest jffs2 and uImage to the
+#
+remote=$1
+flashdir=/var/volatile/flash-upgrade
+if ((${#remote} == 0)) ; then
+ echo must have the name or address of the remote Conduit
+ echo usage example:
+ echo deploy.sh root@image0
+ exit 1
+fi
+
+fs=$(ls -t *.jffs2 | head -1)
+kern=$(ls -t uImage--*.bin | head -1)
+
+ssh "$1" mkdir $flashdir
+ssh -t "$1" "touch /var/volatile/do_flash_upgrade; [[ -x /usr/bin/sudo ]] && sudo chown root /var/volatile/do_flash_upgrade"
+scp $kern "$1":$flashdir/uImage.bin
+scp $fs "$1":$flashdir/rootfs.jffs2